import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  staffId: SortOrderSchema.optional()
}).strict();
export const AppointmentSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentSumOrderByAggregateInput>;
export const AppointmentSumOrderByAggregateInputObjectZodSchema = makeSchema();
